<?php
/****************************************************************************
** Knjižnica, kjer so zbrane funkcije za izpis različnih formatov podatkov **
** Author: Dave @ zabec.net	 												 			**
** Date: 2007 						 												 			**
****************************************************************************/

/* funkcija skrbi za pretvarjanje imen v povezave (pretvorba nedovoljenih znakov) */
/**********************************************************************************/
	function convertToLink($link)
	{

		$link = strtolower($link);
		$link = str_replace(' ', '_', $link);
		$link = str_replace('č', 'c', $link);
		$link = str_replace('ž', 'z', $link);
		$link = str_replace('š', 's', $link);
		$link = str_replace(',', '_', $link);
		$link = str_replace('Č', 'C', $link);
		$link = str_replace('Ž', 'Z', $link);
		$link = str_replace('Š', 'S', $link);
		$link = str_replace('"', '_', $link);
		$link = str_replace("'", '_', $link);
		$link = str_replace(".", '_', $link);
		$link = str_replace(';', '_', $link);
		$link = str_replace(':', '_', $link);
		$link = str_replace('?', '_', $link);
		$link = str_replace('ö', '_', $link);
		$link = str_replace('ń', '_', $link);
		$link = str_replace('Ś', '_', $link);
		$link = str_replace('ó', '_', $link);
		$link = str_replace("ė", '_', $link);
		
		$link = str_replace('á', '_', $link);
		$link = str_replace('ö', '_', $link);
		$link = str_replace('Ö', '_', $link);
		$link = str_replace("ğ", '_', $link);
		
		$link = str_replace('ņ', '_', $link);
		$link = str_replace('ē', '_', $link);
		$link = str_replace('ā', '_', $link);
		$link = str_replace("ó", '_', $link);
		
		$link = str_replace('ł', '_', $link);
		$link = str_replace('Ł', '_', $link);
		$link = str_replace('ě', '_', $link);
		$link = str_replace("ý", '_', $link);
		
		$link = str_replace('ę', '_', $link);
		$link = str_replace('ę', '_', $link);
		$link = str_replace('ě', '_', $link);
		$link = str_replace("ý", '_', $link);
		$link = str_replace("’", '_', $link);
		
		$link = str_replace("(", '_', $link);
		$link = str_replace(")", '_', $link);
		$link = str_replace("`", '_', $link);
		$link = str_replace("!", '_', $link);
		$link = str_replace("&", '', $link);

		$link = strtolower($link);
		return $link;
	}

	function decodeFromLink($link)
	{
		$link = strtolower($link);
		$link = str_replace('_', '%', $link);
		$link = str_replace('c', '%', $link);
		$link = str_replace('s', '%', $link);
		$link = str_replace('z', '%', $link);
		$link = str_replace('C', '%', $link);
		$link = str_replace('S', '%', $link);
		$link = str_replace('Z', '%', $link);
		return $link;
	}


	function formatDateFromDB($variable, $type = "")
	{
		$datetime = explode(" ",$variable);
		$date = explode("-",$datetime[0]);
		$time = explode(":",$datetime[1]);

		if($type == "monthyear"){
			switch($date[1]){
				case 1:
					$date[1] = "januar";
				break;
				case 2:
					$date[1] = "februar";
				break;
				case 3:
					$date[1] = "marec";
				break;
				case 4:
					$date[1] = "april";
				break;
				case 5:
					$date[1] = "maj";
				break;
				case 6:
					$date[1] = "junij";
				break;
				case 7:
					$date[1] = "julij";
				break;
				case 8:
					$date[1] = "avgust";
				break;
				case 9:
					$date[1] = "september";
				break;
				case 10:
					$date[1] = "oktober";
				break;
				case 11:
					$date[1] = "november";
				break;
				case 12:
					$date[1] = "december";
				break;
			}
		}
		/* vrnjemo željeni tip (datetime, dateshorttime, date, time, shorttime) */
		switch($type)
		{
			case "dateshorttime":
				/* primer izpisa 07.12.2007 09:16 */
				return "$date[2].$date[1].$date[0] $time[0]:$time[1]";
			break;
			case "date":
				/* primer izpisa 07.12.2007 */
				return "$date[2].$date[1].$date[0]";
			break;
			case "year":
				/* primer izpisa 07.12.2007 */
				return "$date[0]";
			break;
			case "time":
				/* primer izpisa 09:16:30 */
				return $datetime[1];
			break;
			case "monthyear":
				/* primer izpisa 09:16:30 */
				return "$date[1] $date[0]";
			break;
			case "shorttime":
				/* primer izpisa 09:16 */
				return "$time[0]:$time[1]";
			break;
			default:
				/* primer izpisa 07.12.2007 09:16:30 */
				return "$date[2].$date[1].$date[0] $datetime[1]";
			break;
		}
	}

/* funkcija skrbi za pretvorbo datuma za vpis v bazo */
/*****************************************************/
	function formatDateToDB($variable, $type = "")
	{
		//preverimo če je spremenljivka veljavna
		if(checkStr($variable, "datum"))	{
			$date = explode(".",$variable);
			return $date[2]."-".$date[1]."-".$date[0];
		}
		//spremenljivka ni veljavna vrnemo trenutni datum
		else {
			return date("Y-m-d");
		}
	}

/* Funkcija generiram hash naslova za uporabo v urlju preko mod_rewrite
 * @parameter: $input - vrednost iz katere generiramo hash
 */
function createUrlHash($input){
	//male črke
	$input = strtolower($input);
	//zamenjamo znake
	$out = strtr($input,Array('"'=>'',' '=>'_','š'=>'s','č'=>'c','ž'=>'z','đ'=>'d','Š'=>'s','Č'=>'c','Ž'=>'z','Đ'=>'d',"'"=>'','`'=>'','~'=>'','?'=>'','!'=>'','#'=>'','\\'=>'','/'=>'',','=>'',';'=>'','^'=>'','*'=>'','<'=>'','>'=>'','('=>'',')'=>''));
	return $out;
}



function snippet($text,$length=85,$tail="...") {
    $text = trim($text);
    $txtl = strlen($text);
    if($txtl > $length) {
        for($i=1;$text[$length-$i]!=" ";$i++) {
            if($i == $length) {
                return substr($text,0,$length) . $tail;
            }
        }
        $text = substr($text,0,$length-$i+1) . $tail;
    }
    return $text;
}

function Format_Cena($cena){
	setlocale(LC_MONETARY, 'sl_SI');
	$out = money_format('%.2n',$cena); 
	$out = substr($out,0,-4);
	$out = str_replace(" ",".",$out);
	return $out;
}

function generate_kode()
{
	$chars = array(
		'a','b','c','d','e','f','g','h','i','j','k','m','n','p','r','s','t','u','v','z',
		'q','x','w','y',
		0,1,2,3,4,5,6,7,8,9
	);
	
	shuffle($chars);
	array_splice($chars, 8);
	
	return implode($chars);
}
	
?>